Skip to main content
`Ctrl`+`K`

# DSGetOptionsPrefix

Gets the prefix used for searching for all `DS` options in the database.

## Synopsis

    #include "slepcds.h"
    PetscErrorCode DSGetOptionsPrefix(DS ds,const char *prefix[])

Not Collective

## Input Parameter

- ds - the direct solver context

## Output Parameter

- prefix - pointer to the prefix string used is returned

## See Also

DS: Direct Solver (or Dense System), `DSSetOptionsPrefix()`, `DSAppendOptionsPrefix()`

## Level

advanced

## Location

src/sys/classes/ds/interface/dsbasic.c

Index of all DS routines Table of Contents for all manual pages Index of all manual pages